#!/usr/bin/env ruby
#***************************************************************************
#*   Copyright (C) 2006 by Andr Lindhjem <belgarat@sdf.lonestar.org>,     *
#*                         Kjetil Holien <kjetil.holien@gmail.com>,        *
#*                         Terje Risa <terje.risa@gmail.com> &             *
#*                         yvind Nerbrten <oyvind@nerbraaten.com>        *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program; if not, write to the                         *
#*   Free Software Foundation, Inc.,                                       *
#*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
#***************************************************************************

require "daisyplayer/xmlparser/xmlparser"
require "daisyplayer/audioengine/audioEngine"

parser = DaisyXMLParser::XMLParser.new
player = DaisyAudio::AudioEngine.new

finished = false
while !finished do
        source = parser.getNextAudioSource
        if !source
                finished = true
                break
        else
                player.play(source)
        end
end

